//
// CalenDialog.java -- display positions of Saturn and its moons.
//	Copyright 2002 by Akkana Peck.
// You may use or distribute this code under the terms of the GPL.
//

package Akk.Astro;

import java.awt.*;
import java.awt.event.*;

public class CalenDialog extends Dialog implements ActionListener
{
    StarCalendar cal;
    ActionListener parentListener;

    public CalenDialog(Frame parent, ActionListener al)
    {
        super(parent, true);

        setTitle(new String("Set Date"));

        parentListener = al;

        cal = new StarCalendar(null);
        this.add("Center", cal);

        Panel p = new Panel();
        p.setLayout(new FlowLayout());
        Button btn = new Button("Set");
        btn.addActionListener(this);
        p.add(btn);
        btn = new Button("Cancel");
        btn.addActionListener(this);
        p.add(btn);
        this.add("South", p);

        //this.setSize(300,100);
        //this.setLocation(100, 200);
        this.pack();
    }  
  
    public void actionPerformed(ActionEvent e)
    {
        //System.out.println("action: " + e.getActionCommand());

        this.hide();

        if (new String("Set").equals(e.getActionCommand()))
        {
            cal.getDate();
            if (parentListener != null)
            {
                ActionEvent ev = new ActionEvent(cal, e.getID(),
                                                 new String("dateChanged"));
                parentListener.actionPerformed(ev);
            }
        }

        this.dispose();
    }
}


