
//
// JulianTest.java -- applet to test calculation of Julian Date.
//	Copyright 1996 by Akkana Peck.
// You may use or distribute this code under the terms of the GPL.
//

package Akk.Astro;

import java.awt.*;
import java.applet.*;
import java.util.Date;

public class JulianTest extends Applet
{
    // Copies of the UI components we maintain:
    TextField dateField;
    Label jdlabl;

    public String getAppletInfo() {
	return "Julian Date Calculator.\nCopyright 1996 by Akkana Peck";
    }

    public void init()
    {
	//
	// Now we have all the parameters.  Set some layout info:
	//
	setLayout(new BorderLayout());

	StarDate today = new StarDate();

	dateField = new TextField(today.toString(), 15);
	this.add("North", dateField);

	StarDate jd = new StarDate(today);
	jdlabl = new Label("Julian date is: " + jd.toJulianString());
	this.add("South", jdlabl);
    }

    public boolean handleEvent(Event event)
    {
	if (event.id == Event.ACTION_EVENT &&
	    event.target == dateField )
	{
	    StarDate newdate;
	    int ndays;
	    try {
		newdate = new StarDate(dateField.getText());
		// Might throw IllegalArgumentException if user
		// typed in the wrong format ...

		jdlabl.setText("Julian date is: " + newdate.toJulianString());
	    }
	    catch (IllegalArgumentException e) {
		dateField.setText(new Date().toString());
		// should display errmsg ...
	    }
	}
	return super.handleEvent(event);
    }
}

